Retrieve an on-call schedule
GET
/v1/oncallschedule/{id}/
const url = 'https://example.com/v1/oncallschedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/oncallschedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single on-call schedule by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this on call schedule.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
created_at
required
string format: date-time
created_by
required
string format: uuid
escalations
Array<string>
id
required
string format: uuid
name
required
string
rules
Array<string>
Examplegenerated
{ "escalations": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "name": "example", "rules": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}